# BlitterFactory< T > Class Template Reference

A template factory, so ->GetName() works correctly. More...

`#include <factory.hpp>`

Inheritance diagram for BlitterFactory< T >:

## Public Member Functions

const char * | GetName ()
| Get the long, human readable, name for the Blitter-class.

## Detailed Description

### template<class T>
class BlitterFactory< T >

A template factory, so ->GetName() works correctly.

This because else some compiler will complain.

Definition at line 153 of file factory.hpp.

The documentation for this class was generated from the following file:

- src/blitter/factory.hpp